%global dlrn_nvr 9.4.0-0.20190307172343.b5220a7
%global dlrn 1
%define upstream_version 9.4.0
# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version: 9.4.0
Release: 0.20190307172346.b5220a7%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0: 9.4.0-0.20190307172343.b5220a7-b5220a728cb4cb1aaf8b05646fa3ce5507f0c86f.tar.gz


# patches_ignore=DROP-IN-RPM
# patches_base=b5220a728cb4cb1aaf8b05646fa3ce5507f0c86f
Patch0001: 0001-Fix-generating-connections-to-OVN-db.patch
Patch0002: 0002-Simplify-logrotate-job.patch

BuildArch:      noarch

Requires:       puppet-aodh >= 13.0.0
Requires:       puppet-apache
Requires:       puppet-auditd
Requires:       puppet-barbican >= 13.0.0
Requires:       puppet-cassandra
Requires:       puppet-ceilometer >= 13.0.0
Requires:       puppet-ceph
Requires:       puppet-certmonger
Requires:       puppet-cinder >= 13.0.0
Requires:       puppet-collectd
Requires:       puppet-concat
Requires:       puppet-contrail
Requires:       puppet-corosync
Requires:       puppet-datacat
Requires:       puppet-designate >= 13.0.0
Requires:       puppet-ec2api >= 13.0.0
Requires:       puppet-elasticsearch
Requires:       puppet-fdio
Requires:       puppet-firewall
Requires:       puppet-fluentd
Requires:       puppet-git
Requires:       puppet-glance >= 13.0.0
Requires:       puppet-gnocchi >= 13.0.0
Requires:       puppet-haproxy
Requires:       puppet-heat >= 13.0.0
Requires:       puppet-horizon >= 13.0.0
Requires:       puppet-inifile
Requires:       puppet-ipaclient
Requires:       puppet-ironic >= 13.0.0
Requires:       puppet-java
Requires:       puppet-kafka
Requires:       puppet-keepalived
Requires:       puppet-keystone >= 13.0.0
Requires:       puppet-kibana3
Requires:       puppet-kmod
Requires:       puppet-manila >= 13.0.0
Requires:       puppet-memcached
Requires:       puppet-midonet
Requires:       puppet-mistral >= 13.0.0
Requires:       puppet-module-data
Requires:       puppet-mysql
Requires:       puppet-n1k-vsm
Requires:       puppet-neutron >= 13.0.0
Requires:       puppet-nova >= 13.0.0
Requires:       puppet-nssdb
Requires:       puppet-ntp
Requires:       puppet-octavia >= 13.0.0
Requires:       puppet-opendaylight
Requires:       puppet-openstack_extras >= 13.0.0
Requires:       puppet-openstacklib >= 13.0.0
Requires:       puppet-ovn >= 13.0.0
Requires:       puppet-oslo >= 13.0.0
Requires:       puppet-pacemaker
Requires:       puppet-panko >= 13.0.0
Requires:       puppet-qdr
Requires:       puppet-rabbitmq
Requires:       puppet-redis
Requires:       puppet-remote
Requires:       puppet-rsync
Requires:       puppet-sahara >= 13.0.0
Requires:       puppet-sensu
Requires:       puppet-snmp
Requires:       puppet-ssh
Requires:       puppet-staging
Requires:       puppet-stdlib
Requires:       puppet-swift >= 13.0.0
Requires:       puppet-sysctl
Requires:       puppet-systemd
Requires:       puppet-timezone
Requires:       puppet-tomcat
Requires:       puppet-trove >= 13.0.0
Requires:       puppet-uchiwa
Requires:       puppet-vcsrepo
Requires:       puppet-veritas_hyperscale
Requires:       puppet-vswitch >= 9.0.0
Requires:       puppet-xinetd
Requires:       puppet-zaqar >= 13.0.0
Requires:       puppet-zookeeper
Requires:       puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:       puppet-mongodb
Requires:       puppet-congress
Requires:       puppet-etcd
Requires:       puppet-tacker
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Tue Apr 02 2019 Cédric Jeanneret <cjeanner@redhat.com> 9.4.0-0.20190307172346.b5220a7
- Simplify logrotate job (rhbz#1695138)

* Tue Mar 26 2019 Thierry Vignaud <tvignaud@redhat.com> 9.4.0-0.20190307172344.b5220a7
- Fix generating connections to OVN db (rhbz#1601924)

* Thu Feb 28 2019 Grzegorz Grasza <xek@redhat.com> 9.3.1-0.20190119004940.e8adf4b
- neutron dhcpd: Add script for certmonger postsave_cmd (rhbz#1609025)
- novnc-proxy: Remove default post-save command for certmonger (rhbz#1609025)
- redis: Remove default post-save command for certmonger (rhbz#1609025)
- rabbitmq:  Remove default post-save command for certmonger (rhbz#1609025)
- httpd: Remove default post-save command for certmonger (rhbz#1609025)
- Reload HAProxy when certificate is renewed (rhbz#1609025)

* Fri Feb 22 2019 Damien Ciabrini <dciabrin@redhat.com> 9.3.1-0.20190119004939.e8adf4b
- Allow to set log facility for HAProxy (rhbz#1672940)

* Thu Jan 31 2019 Thierry Vignaud <tvignaud@redhat.com> 9.3.1-0.20190119004938.e8adf4b
- Rebase over RDO (rhbz#1671331)

* Mon Jan 21 2019 Harry Rybacki <hrybacki@redhat.com> 9.3.1-0.20181010034755.157eaab
- Create barbican's creator role by default (rhbz#1664428)

* Tue Dec 04 2018 Martin André <m.andre@redhat.com> 9.3.1-0.20181010034754.157eaab
- Set balance to source for openshift_master endpoints (rhbz#1655151)

* Tue Dec 04 2018 Carlos Goncalves <cgoncalves@redhat.com> 9.3.1-0.20181010034753.157eaab
- Include octavia::controller (rhbz#1653053)

* Thu Nov 29 2018 Emilien Macchi <emilien@redhat.com> 9.3.1-0.20181010034752.157eaab
- Increase websocket timeout (rhbz#1654081)

* Tue Nov 20 2018 Goutham Pacha Ravi <gouthampravi@gmail.com> 9.3.1-0.20181010034751.157eaab
- Fix ceph-nfs duplicate property (rhbz#1651792)

* Tue Nov 20 2018 Dan Trainor <dtrainor@redhat.com> 9.3.1-0.20181010034750.157eaab
- Enable disablereuse option in Zaqar proxy backend (rhbz#1647038)

* Fri Nov 16 2018 Alan Bishop <abishop@redhat.com> 9.3.1-0.20181010034749
- Include ::cinder::nova in cinder's configuration (rhbz#1640443)

* Tue Nov 13 2018 Martin Magr <mmagr@redhat.com> 9.3.1-0.20181010034748.157eaab
- Use puppet-qdr module in OSP (rhbz#1580331)

* Mon Nov 12 2018 Nir Magnezi <nmagnezi@redhat.com> 9.3.1-0.20181010034747.157eaab
- Enable TLS in the internal network for Octavia API (rhbz#1635341)

* Wed Nov 07 2018 Sofer Athlan-Guyot <sathlang@redhat.com> 9.3.1-0.20181010034746.157eaab
- Make sure that the _member_ role is assigned to admin. (rhbz#1637988)
- Fix Undercloud masquerading firewall rules (rhbz#1635998)

* Tue Oct 16 2018 Thierry Vignaud <tvignaud@redhat.com> 9.3.1-0.20181010034745.157eaab
- [DOWNSTREAM-ONLY] Copytruncate containerized logrotate configuration (rhbz#1614810 rhbz#1631335)
